Skip to main content
GET
/
v2
/
customerGroups
Query Customer Groups
curl --request GET \
  --url https://api.jtl-cloud.com/erp/v2/customerGroups \
  --header 'Authorization: Bearer <token>' \
  --header 'x-api-key: <api-key>' \
  --header 'x-appid: <x-appid>' \
  --header 'x-appversion: <x-appversion>' \
  --header 'x-tenant-id: <x-tenant-id>'
[
  {
    "id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
    "name": "<string>",
    "isDefault": true,
    "discount": 123,
    "isNetPrice": true
  }
]

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

x-api-key
string
header
required

Optional: If no token is present, the API Gateway injects it.

Headers

x-appid
string
required

This is the name of your application, e.g. "MyApp/1.0.0". It is used to identify your application.

x-appversion
string
required

This is where the version number of your application is entered, e.g. "1.0.0".

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

X-SessionId
string<uuid>

The id of a session in which the call will be executed.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Response

Returns all customer groups.

id
string<uuid>

Unique internal ID of the customer group.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

name
string

The name of the customer group.

isDefault
boolean

Indicates if the customer group is the default group. Only one group can be selected as the default group.

discount
number<decimal>

The discounted percentage for the customer group.

isNetPrice
boolean

Indicates if the customer group sees the net price in the online shop.